Debian Bug report logs - #614713
cups-pdf: installation asks for a password

Package: cups-pdf; Maintainer for cups-pdf is Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>; Source for cups-pdf is src:cups-pdf.

Reported by: Daniel Reichelt <debian@nachtgeist.net>

Date: Wed, 23 Feb 2011 00:27:01 UTC

Severity: important

Tags: help

Merged with 539156

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ksquirrel.iv@gmail.com, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-pdf. (Wed, 23 Feb 2011 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krasu <ksquirrel.iv@gmail.com>:
New Bug report received and forwarded. Copy sent to ksquirrel.iv@gmail.com, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 00:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Krasu <ksquirrel.iv@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 02:24:23 +0200
Package: cups-pdf
Version: 2.5.0-16
Severity: important

The latest cups-pdf version asks for a root password during installation. One
or two months ago it didn't ask. This breaks automatic rootfs builds via
debootstrap.



-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable'), (25, 'testing'), (20, 'unstable'), (10, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-pdf. (Wed, 23 Feb 2011 01:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 01:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 614713@bugs.debian.org (full text, mbox):

From: Dmitry Baryshev <ksquirrel.iv@gmail.com>
To: 614713@bugs.debian.org
Subject: Re: Bug#614713: Acknowledgement (cups-pdf: installation asks for a password)
Date: Wed, 23 Feb 2011 03:20:58 +0200
[Message part 1 (text/plain, inline)]
The following command in postinst script is causing the problem:

*lpadmin -h localhost -p PDF2 -E -v cups-pdf:/ -m
lsb/usr/cups-pdf/CUPS-PDF.ppd -o printer-is-shared=no -o PageSize=a4*


-- 
Regards, Krasu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-pdf. (Wed, 23 Feb 2011 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 01:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 614713@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Krasu <ksquirrel.iv@gmail.com>, 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 03:49:45 +0200
2011/2/23 Krasu <ksquirrel.iv@gmail.com>:
> Package: cups-pdf
> Version: 2.5.0-16
> Severity: important
>
> The latest cups-pdf version asks for a root password during installation. One
> or two months ago it didn't ask. This breaks automatic rootfs builds via
> debootstrap.

There hasn't been any change with how the installation is performed in
CUPS-PDF since 2.5.0-8 which was published in September 2009. I
therefore have to conclude that the issue involves a recent change of
behavior in CUPS' version of the 'lpadmin' command.

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-pdf. (Wed, 23 Feb 2011 02:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 02:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 614713@bugs.debian.org (full text, mbox):

From: Dmitry Baryshev <ksquirrel.iv@gmail.com>
To: q-funk@iki.fi
Cc: 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 03:59:03 +0200
[Message part 1 (text/plain, inline)]
Please feel free to ask me for any info you need

2011/2/23 Martin-Éric Racine <q-funk@iki.fi>

> 2011/2/23 Krasu <ksquirrel.iv@gmail.com>:
> > Package: cups-pdf
> > Version: 2.5.0-16
> > Severity: important
> >
> > The latest cups-pdf version asks for a root password during installation.
> One
> > or two months ago it didn't ask. This breaks automatic rootfs builds via
> > debootstrap.
>
> There hasn't been any change with how the installation is performed in
> CUPS-PDF since 2.5.0-8 which was published in September 2009. I
> therefore have to conclude that the issue involves a recent change of
> behavior in CUPS' version of the 'lpadmin' command.
>
> Martin-Éric
>



-- 
Regards, Krasu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-pdf. (Wed, 23 Feb 2011 02:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 02:09:08 GMT) Full text and rfc822 format available.

Message #25 received at 614713@bugs.debian.org (full text, mbox):

From: Dmitry Baryshev <ksquirrel.iv@gmail.com>
To: q-funk@iki.fi
Cc: 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 04:07:27 +0200
[Message part 1 (text/plain, inline)]
BTW should I file a new bug against cups-client?

2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>

> Please feel free to ask me for any info you need
>
> 2011/2/23 Martin-Éric Racine <q-funk@iki.fi>
>
> 2011/2/23 Krasu <ksquirrel.iv@gmail.com>:
>> > Package: cups-pdf
>> > Version: 2.5.0-16
>> > Severity: important
>> >
>> > The latest cups-pdf version asks for a root password during
>> installation. One
>> > or two months ago it didn't ask. This breaks automatic rootfs builds via
>> > debootstrap.
>>
>> There hasn't been any change with how the installation is performed in
>> CUPS-PDF since 2.5.0-8 which was published in September 2009. I
>> therefore have to conclude that the issue involves a recent change of
>> behavior in CUPS' version of the 'lpadmin' command.
>>
>> Martin-Éric
>>
>
>
>
> --
> Regards, Krasu
>



-- 
Regards, Krasu
[Message part 2 (text/html, inline)]

Merged 539156 614713. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 23 Feb 2011 02:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'cups-pdf' to 'cups-client'. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 23 Feb 2011 10:42:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions cups-pdf/2.5.0-4 and cups-pdf/2.5.0-16. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 23 Feb 2011 10:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-client. (Wed, 23 Feb 2011 10:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 10:45:07 GMT) Full text and rfc822 format available.

Message #36 received at 614713@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Dmitry Baryshev <ksquirrel.iv@gmail.com>
Cc: 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 12:43:55 +0200
No, I'll just reassign the bug to cups-client.

However, I'm really puzzled as to why 'lpadmin' does this. That it
would ask non-root users for a password is expected, but 'dpkg' is run
as root who, by definition, has full access credentials to anything.

2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>:
> BTW should I file a new bug against cups-client?
>
> 2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>
>>
>> Please feel free to ask me for any info you need
>>
>> 2011/2/23 Martin-Éric Racine <q-funk@iki.fi>
>>>
>>> 2011/2/23 Krasu <ksquirrel.iv@gmail.com>:
>>> > Package: cups-pdf
>>> > Version: 2.5.0-16
>>> > Severity: important
>>> >
>>> > The latest cups-pdf version asks for a root password during
>>> > installation. One
>>> > or two months ago it didn't ask. This breaks automatic rootfs builds
>>> > via
>>> > debootstrap.
>>>
>>> There hasn't been any change with how the installation is performed in
>>> CUPS-PDF since 2.5.0-8 which was published in September 2009. I
>>> therefore have to conclude that the issue involves a recent change of
>>> behavior in CUPS' version of the 'lpadmin' command.
>>>
>>> Martin-Éric
>>
>>
>>
>> --
>> Regards, Krasu
>
>
>
> --
> Regards, Krasu
>



-- 
http://q-funk.iki.fi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-client. (Wed, 23 Feb 2011 10:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 10:51:10 GMT) Full text and rfc822 format available.

Message #41 received at 614713@bugs.debian.org (full text, mbox):

From: Dmitry Baryshev <ksquirrel.iv@gmail.com>
To: q-funk@iki.fi
Cc: 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 12:49:43 +0200
[Message part 1 (text/plain, inline)]
Probably it because debootstrapped environment has a different hostname set
than on a host system, and lpadmin thinks that it tries to communicate with
cups on a different machine (e.g. over the network)?

2011/2/23 Martin-Éric Racine <q-funk@iki.fi>

> No, I'll just reassign the bug to cups-client.
>
> However, I'm really puzzled as to why 'lpadmin' does this. That it
> would ask non-root users for a password is expected, but 'dpkg' is run
> as root who, by definition, has full access credentials to anything.
>
> 2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>:
> > BTW should I file a new bug against cups-client?
> >
> > 2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>
> >>
> >> Please feel free to ask me for any info you need
> >>
> >> 2011/2/23 Martin-Éric Racine <q-funk@iki.fi>
> >>>
> >>> 2011/2/23 Krasu <ksquirrel.iv@gmail.com>:
> >>> > Package: cups-pdf
> >>> > Version: 2.5.0-16
> >>> > Severity: important
> >>> >
> >>> > The latest cups-pdf version asks for a root password during
> >>> > installation. One
> >>> > or two months ago it didn't ask. This breaks automatic rootfs builds
> >>> > via
> >>> > debootstrap.
> >>>
> >>> There hasn't been any change with how the installation is performed in
> >>> CUPS-PDF since 2.5.0-8 which was published in September 2009. I
> >>> therefore have to conclude that the issue involves a recent change of
> >>> behavior in CUPS' version of the 'lpadmin' command.
> >>>
> >>> Martin-Éric
> >>
> >>
> >>
> >> --
> >> Regards, Krasu
> >
> >
> >
> > --
> > Regards, Krasu
> >
>
>
>
> --
> http://q-funk.iki.fi
>



-- 
Regards, Krasu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-client. (Wed, 23 Feb 2011 11:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 11:03:10 GMT) Full text and rfc822 format available.

Message #46 received at 614713@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Dmitry Baryshev <ksquirrel.iv@gmail.com>
Cc: 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Wed, 23 Feb 2011 13:00:13 +0200
We explicitly use the option to work with localhost only in our
command syntax precisely to avoid that.

2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>:
> Probably it because debootstrapped environment has a different hostname set
> than on a host system, and lpadmin thinks that it tries to communicate with
> cups on a different machine (e.g. over the network)?
>
> 2011/2/23 Martin-Éric Racine <q-funk@iki.fi>
>>
>> No, I'll just reassign the bug to cups-client.
>>
>> However, I'm really puzzled as to why 'lpadmin' does this. That it
>> would ask non-root users for a password is expected, but 'dpkg' is run
>> as root who, by definition, has full access credentials to anything.
>>
>> 2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>:
>> > BTW should I file a new bug against cups-client?
>> >
>> > 2011/2/23 Dmitry Baryshev <ksquirrel.iv@gmail.com>
>> >>
>> >> Please feel free to ask me for any info you need
>> >>
>> >> 2011/2/23 Martin-Éric Racine <q-funk@iki.fi>
>> >>>
>> >>> 2011/2/23 Krasu <ksquirrel.iv@gmail.com>:
>> >>> > Package: cups-pdf
>> >>> > Version: 2.5.0-16
>> >>> > Severity: important
>> >>> >
>> >>> > The latest cups-pdf version asks for a root password during
>> >>> > installation. One
>> >>> > or two months ago it didn't ask. This breaks automatic rootfs builds
>> >>> > via
>> >>> > debootstrap.
>> >>>
>> >>> There hasn't been any change with how the installation is performed in
>> >>> CUPS-PDF since 2.5.0-8 which was published in September 2009. I
>> >>> therefore have to conclude that the issue involves a recent change of
>> >>> behavior in CUPS' version of the 'lpadmin' command.
>> >>>
>> >>> Martin-Éric
>> >>
>> >>
>> >>
>> >> --
>> >> Regards, Krasu
>> >
>> >
>> >
>> > --
>> > Regards, Krasu
>> >
>>
>>
>>
>> --
>> http://q-funk.iki.fi
>
>
>
> --
> Regards, Krasu
>



-- 
http://q-funk.iki.fi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-client. (Sun, 24 Apr 2011 04:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 24 Apr 2011 04:30:05 GMT) Full text and rfc822 format available.

Message #51 received at 614713@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: 614713@bugs.debian.org
Cc: 539156@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Sun, 24 Apr 2011 06:15:48 +0200
Hi Guys,

I did some strace'ing of the troubling lpadmin invocation both on the
host rootfs and within the chroot and after the connect() call I noticed
some numeric named files in /var/run/cups/certs get accessed:

Host:
--------8<---------
connect(4, {sa_family=AF_INET, sin_port=htons(631),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
sendto(4, "POST /admin/ HTTP/1.1\r\nContent-L"..., 140, 0, NULL, 0) = 140
brk(0x7f64f8a26000)                     = 0x7f64f8a26000
sendto(4, "\1\1@\3\0\0\0\1\1G\0\22attributes-charset\0\5"..., 173, 0,
NULL, 0) = 173
poll([{fd=4, events=POLLIN}], 1, 1000)  = 1 ([{fd=4, revents=POLLIN}])
recvfrom(4, "HTTP/1.1 100 Continue\r\n\r\nHTTP/1."..., 2048, 0, NULL,
NULL) = 803
open("/var/run/cups/certs/4099", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/var/run/cups/certs/0", O_RDONLY) = 5
--------8<---------

Chroot:
--------8<---------
connect(4, {sa_family=AF_INET, sin_port=htons(631),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
sendto(4, "POST /admin/ HTTP/1.1\r\nContent-L"..., 140, 0, NULL, 0) = 140
brk(0x7f37285c1000)                     = 0x7f37285c1000
sendto(4, "\1\1@\3\0\0\0\1\1G\0\22attributes-charset\0\5"..., 173, 0,
NULL, 0) = 173
poll([{fd=4, events=POLLIN}], 1, 1000)  = 1 ([{fd=4, revents=POLLIN}])
recvfrom(4, "HTTP/1.1 100 Continue\r\n\r\nHTTP/1."..., 2048, 0, NULL,
NULL) = 803
open("/var/run/cups/certs/13154", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/var/run/cups/certs/0", O_RDONLY) = -1 ENOENT (No such file or
directory)
--------8<---------

While the first calls to 4099/13154 fail on both sides, access to "0"
succeeds on the host while "0" isn't present in the chroot. After I
manually copied that file from host to chroot and did a chgrp lpadmin 0,
lpadmin went through with it just fine.

So, obviously that has something to do with encryption, which IMO in
this case is superfluous since the connection is made to localhost.
Would not making encryption mandatory for -d, -p, -x, -E (as it is right
now, according to the manpage) in case the connection is made to
localhost be the right way to solve this?

HTH, cheers,

Daniel

PS: Please let me know if the CC to #539156 was necessary or if the
subscribers got merged as well when these bugs were merged...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-client. (Sun, 24 Apr 2011 10:18:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 24 Apr 2011 10:18:20 GMT) Full text and rfc822 format available.

Message #56 received at 614713@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Daniel Reichelt <debian@nachtgeist.net>, 614713@bugs.debian.org
Cc: 539156@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: Bug#614713: cups-pdf: installation asks for a password
Date: Sun, 24 Apr 2011 13:16:09 +0300
2011/4/24 Daniel Reichelt <debian@nachtgeist.net>:

> I did some strace'ing of the troubling lpadmin invocation both on the
> host rootfs and within the chroot and after the connect() call I noticed
> some numeric named files in /var/run/cups/certs get accessed:

> So, obviously that has something to do with encryption, which IMO in
> this case is superfluous since the connection is made to localhost.

Sure enough, we had a superfluous -E in our queue creation loop. I
just removed it and uploaded the fix as 2.5.1-3. Many, many thanks for
figuring this one out!

Cheers!
Martin-Éric




Bug reassigned from package 'cups-client' to 'cups-pdf'. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Tue, 26 Apr 2011 11:12:02 GMT) Full text and rfc822 format available.

Reply sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
You have taken responsibility. (Tue, 26 Apr 2011 11:22:01 GMT) Full text and rfc822 format available.

Notification sent to Krasu <ksquirrel.iv@gmail.com>:
Bug acknowledged by developer. (Tue, 26 Apr 2011 11:22:07 GMT) Full text and rfc822 format available.

Message #63 received at 614713-close@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 614713-close@bugs.debian.org
Subject: Bug#614713: fixed in cups-pdf 2.5.1-3
Date: Tue, 26 Apr 2011 11:17:09 +0000
Source: cups-pdf
Source-Version: 2.5.1-3

We believe that the bug you reported is fixed in the latest version of
cups-pdf, which is due to be installed in the Debian FTP archive:

cups-pdf_2.5.1-3.diff.gz
  to main/c/cups-pdf/cups-pdf_2.5.1-3.diff.gz
cups-pdf_2.5.1-3.dsc
  to main/c/cups-pdf/cups-pdf_2.5.1-3.dsc
cups-pdf_2.5.1-3_amd64.deb
  to main/c/cups-pdf/cups-pdf_2.5.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin-Éric Racine <martin-eric.racine@iki.fi> (supplier of updated cups-pdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Apr 2011 13:21:19 +0300
Source: cups-pdf
Binary: cups-pdf
Architecture: source amd64
Version: 2.5.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin-Éric Racine <martin-eric.racine@iki.fi>
Description: 
 cups-pdf   - PDF printer for CUPS
Closes: 539156 614713
Changes: 
 cups-pdf (2.5.1-3) unstable; urgency=low
 .
   * Remove the superfluous -E option to the queue creation loop. This was
     unnecessary to access the localhost plus it sometimes makes automated
     installs fail. (Closes: #614713,#539156).
     Many thanks to Daniel Reichelt for finding this long-standing issue!
   * Bumped Standards-Version to 3.9.2 (no change required).
Checksums-Sha1: 
 48bcdfd7ab2d4d5ecbc2df79f712207f29199b4c 1719 cups-pdf_2.5.1-3.dsc
 07860b311e26b9bb3795fbda1187c383798550af 10357 cups-pdf_2.5.1-3.diff.gz
 f6f46cf25d47159dd828e70ff94280d3fffa897a 48188 cups-pdf_2.5.1-3_amd64.deb
Checksums-Sha256: 
 5a47017127c0c029759ecf19d45c48d329761eab0b9c0fa61b9bd948296c691e 1719 cups-pdf_2.5.1-3.dsc
 94c6317ed1af96acaeedd7f0decf18596651f282d48a0784716f5e3ddd7da1a4 10357 cups-pdf_2.5.1-3.diff.gz
 26fa1dffe19c7881fb1707f628327b2ddc7f88cacdcb2ef2e9a11087bef00b50 48188 cups-pdf_2.5.1-3_amd64.deb
Files: 
 30c27df6a85bc61176577fb5423e9eeb 1719 graphics optional cups-pdf_2.5.1-3.dsc
 435a8157a45778a8aab15109c1225af9 10357 graphics optional cups-pdf_2.5.1-3.diff.gz
 0d8e021035f74b2e35318b566787df70 48188 graphics optional cups-pdf_2.5.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNtqgPAAoJEPmIJawmtHufE7QQALlHjCYxUGFvhSNtWuI/EBF9
zqk4pB7Jc7u4t4whWEbAnHew9wILPcVdp4qch5ExfCdV+8ZAnXqTOkL81+h+Z7x2
nPyvDQUDNiMsvmC+qiSGzgtZA5tGa7t3hiSFm9xst8bbOV8Ol200MHyvfc8hVKiz
m2M/NQ4jAe19KrJzDvUkrmgzjgHIaVg53MypNzA07JjwCzI4dGtlxMLrC602zKPf
N9bXWH1PP2JjNnb8y1froBiCZ8FXcKbGd+EX0FAs+fqdCM6yLvK4T7J+Gfdt+Ner
1hO41mPgzM5itZ7hGwNTKwAN//lB/if4Pt+K8+svdKOtU0yU+YWZa9SZSK2Vdx4L
Bew4vEoMpIWFWj0KE1wYzycX1VFkfIrOPtmc62r/YlnBcdLIJRqCnkZhkIo+Unrs
osyeiU36/RMiXk/vQiTYA7nz35WiahFN/VKr+IhfSqdszEO27/VSjPFE67fKV7Wb
zUWp8DXm5Bmygu0/eWgpUj3IrmrCY/mpgzzzGDwet6uiKS9+jDnIASJUQe0ocjix
vMm0xOM7eMBtCiA+A/H4swx1flVi7Nmcexkb3Eberyw4jxFJkxUAVduVDwXPwvC0
xcjXVdTsPUo0TwYJc8TxPrGBi/Oin08dqMuzTt5eCSgoCbzVn5KQnh4IPE5sAZCL
D6EWKWAMQLt4msLJdlFI
=MXlH
-----END PGP SIGNATURE-----





Reply sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
You have taken responsibility. (Tue, 26 Apr 2011 11:22:09 GMT) Full text and rfc822 format available.

Notification sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Bug acknowledged by developer. (Tue, 26 Apr 2011 11:22:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#614713; Package cups-pdf. (Tue, 26 Apr 2011 18:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Tue, 26 Apr 2011 18:33:11 GMT) Full text and rfc822 format available.

Message #73 received at 614713@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: 614713@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: Bug#614713: cups-pdf: installation
Date: Tue, 26 Apr 2011 20:31:00 +0200
just wanted to tell 2.5.1-3 works fine here and thanks for the quick action.

Daniel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Jun 2011 07:33:02 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:03 GMT) Full text and rfc822 format available.

Bug reopened Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Daniel Reichelt <debian@nachtgeist.net>' from 'Krasu <ksquirrel.iv@gmail.com>' Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions cups-pdf/2.5.1-3. Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:38:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.